Bug 96159 - Refactored bytecode generator initialization to support moving captured vars around
Summary: Refactored bytecode generator initialization to support moving captured vars ...
Status: RESOLVED WONTFIX
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Geoffrey Garen
URL:
Keywords:
Depends on: 96180
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-07 16:53 PDT by Geoffrey Garen
Modified: 2013-07-19 10:39 PDT (History)
3 users (show)

See Also:


Attachments
Patch (29.29 KB, patch)
2012-09-07 16:57 PDT, Geoffrey Garen
ggaren: review+
Details | Formatted Diff | Diff
test (383 bytes, text/html)
2012-09-09 21:24 PDT, Geoffrey Garen
no flags Details
test (552 bytes, text/html)
2012-09-09 21:33 PDT, Geoffrey Garen
no flags Details
test (577 bytes, text/html)
2012-09-09 21:36 PDT, Geoffrey Garen
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Geoffrey Garen 2012-09-07 16:53:46 PDT
Refactored bytecode generator initialization to support moving captured vars around
Comment 1 Geoffrey Garen 2012-09-07 16:57:39 PDT
Created attachment 162907 [details]
Patch
Comment 2 Geoffrey Garen 2012-09-07 16:58:36 PDT
Committed r127939: <http://trac.webkit.org/changeset/127939>
Comment 3 Geoffrey Garen 2012-09-07 17:01:47 PDT
Comment on attachment 162907 [details]
Patch

Gavin reviewed this.
Comment 4 Csaba Osztrogonác 2012-09-08 00:30:08 PDT
(In reply to comment #2)
> Committed r127939: <http://trac.webkit.org/changeset/127939>

It caused a regression - https://bugs.webkit.org/show_bug.cgi?id=96180
Could you check it, please?
Comment 5 Geoffrey Garen 2012-09-09 10:10:41 PDT
Rolled out in <http://trac.webkit.org/changeset/127987>.
Comment 6 Geoffrey Garen 2012-09-09 21:24:01 PDT
Created attachment 163035 [details]
test
Comment 7 Geoffrey Garen 2012-09-09 21:33:34 PDT
Created attachment 163037 [details]
test
Comment 8 Geoffrey Garen 2012-09-09 21:36:33 PDT
Created attachment 163038 [details]
test